# QAbstractItemView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QAbstractItemView(QWidget parent)

### Constructor Properties

- prototype: The QAbstractItemView prototype object
- NoDragDrop
- DragOnly
- DropOnly
- DragDrop
- InternalMove
- DragDropMode( value )
- SelectItems
- SelectRows
- SelectColumns
- SelectionBehavior( value )
- NoEditTriggers = 0
- CurrentChanged = 1
- DoubleClicked = 2
- SelectedClicked = 4
- EditKeyPressed = 8
- AnyKeyPressed = 16
- AllEditTriggers = 31
- EditTrigger( value )
- EditTriggers( value1, value2, ... )
- ScrollPerItem
- ScrollPerPixel
- ScrollMode( value )
- EnsureVisible
- PositionAtTop
- PositionAtBottom
- PositionAtCenter
- ScrollHint( value )
- NoSelection
- SingleSelection
- MultiSelection
- ExtendedSelection
- ContiguousSelection
- SelectionMode( value )

### Prototype Object Properties

The QAbstractItemView prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- void closePersistentEditor(QModelIndex index)
- QModelIndex currentIndex()
- QModelIndex indexAt(QPoint point)
- QWidget indexWidget(QModelIndex index)
- QAbstractItemDelegate itemDelegate()
- QAbstractItemDelegate itemDelegateForColumn(int column)
- QAbstractItemDelegate itemDelegateForRow(int row)
- void keyboardSearch(String search)
- QAbstractItemModel model()
- void openPersistentEditor(QModelIndex index)
- QModelIndex rootIndex()
- void scrollTo(QModelIndex index, ScrollHint hint)
- QItemSelectionModel selectionModel()
- void setIndexWidget(QModelIndex index, QWidget widget)
- void setItemDelegate(QAbstractItemDelegate delegate)
- void setItemDelegateForColumn(int column, QAbstractItemDelegate delegate)
- void setItemDelegateForRow(int row, QAbstractItemDelegate delegate)
- void setModel(QAbstractItemModel model)
- void setSelectionModel(QItemSelectionModel selectionModel)
- int sizeHintForColumn(int column)
- QSize sizeHintForIndex(QModelIndex index)
- int sizeHintForRow(int row)
- QRect visualRect(QModelIndex index)

### Instance Properties

QAbstractItemView objects inherit properties from the QAbstractItemView prototype object and also have the following properties.

- autoScroll
- autoScrollMargin
- editTriggers
- tabKeyNavigation
- showDropIndicator
- dragEnabled
- dragDropOverwriteMode
- dragDropMode
- defaultDropAction
- alternatingRowColors
- selectionMode
- selectionBehavior
- iconSize
- textElideMode
- verticalScrollMode
- horizontalScrollMode